%define upstream_name    CGI-Untaint
%define upstream_version 1.26

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:	CGI-Untaint Perl module: process CGI input parameters 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/T/TM/TMTM/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:  perl(CGI)
BuildRequires:  perl(UNIVERSAL::require)
BuildArch:	noarch

%description
This module provides a simple, convenient, abstracted and extensible
manner for validating and untainting the input from web forms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build
make test

%install
%make_install

%files
%doc Changes
%{perl_vendorlib}/CGI/Untaint.pm
%{perl_vendorlib}/CGI/Untaint
%{_mandir}/*/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.260.0-12.mga10
+ Revision: 2207613
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.260.0-11.mga9
+ Revision: 1817049
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.260.0-10.mga8
+ Revision: 1493505
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.260.0-9.mga7
+ Revision: 1266071
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.260.0-8.mga6
+ Revision: 1023827
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.260.0-7.mga6
+ Revision: 968974
- Mageia 6 Mass Rebuild

* Mon Jul 27 2015 sander85 <sander85> 1.260.0-6.mga6
+ Revision: 858285
- Drop BR on perl-UNIVERSAL-exports

* Wed Oct 15 2014 umeabot <umeabot> 1.260.0-5.mga5
+ Revision: 746842
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.260.0-4.mga5
+ Revision: 683662
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.260.0-3.mga4
+ Revision: 509568
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.260.0-2.mga3
+ Revision: 363583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 9830
- imported package perl-CGI-Untaint


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.260.0-1mdv2010.0
+ Revision: 406871
- rebuild using %%perl_convert_version

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.26-6mdv2009.0
+ Revision: 255832
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.26-4mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.26-4mdv2008.0
+ Revision: 86064
- rebuild


* Wed Apr 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.26-3mdk
- Fix BuildRequires

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.26-2mdk
- Fix BuildRequires
- make rpmbuildupdate happy

* Mon Sep 26 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.26-1mdk
- 1.26

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.25-1mdk
- 1.25

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.00-1mdk
- initial Mandriva package

